## mailcheck 0.98

=== Makefile ===
all: mailcheck

debug: mailcheck.c
	$(CC) -Wall -O0 mailcheck.c -g -o mailcheck

mailcheck: mailcheck.c
	$(CC) -Wall -O2 mailcheck.c -s -o mailcheck

install: mailcheck
	install mailcheck $(prefix)/usr/bin
	install -m 644 mailcheckrc $(prefix)/etc

distclean: clean

clean:
	rm -f mailcheck *~

=== debian/changelog ===
mailcheck (0.98) unstable; urgency=low

  * First public release
  * Converted to debhelper

 -- Jefferson E. Noxon <jeff@planetfall.com>  Wed, 26 Aug 1998 14:27:49 -0500

mailcheck (0.97) unstable; urgency=low

  * Updated to libc6

 -- Jefferson E. Noxon <jeff@planetfall.com>  Thu,  5 Mar 1998 14:15:51 -0600

mailcheck (0.91) unstable; urgency=low

  * Added rc file support

 -- Jefferson E. Noxon <jeff@planetfall.com>  Fri, 27 Dec 1996 15:45:26 -0600

mailcheck (0.9) unstable; urgency=low

  * Initial Release.

 -- Jefferson E. Noxon <jeff@planetfall.com>  Fri, 27 Dec 1996 13:45:35 -0600

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: mailcheck
Section: mail
Priority: extra
Maintainer: Jeff Noxon <jeff@planetfall.com>
Standards-Version: 2.4.0.0

Package: mailcheck
Architecture: any
Depends: ${shlibs:Depends}
Description: Check multiple mailboxes/maildirs for mail
 Mailcheck is a simple, configurable tool that allows multiple mailboxes
 to be checked for the existence of new mail messages.  It supports both
 mbox and maildir-style mailboxes, for compatibility with most mail
 transport agents.

## mailcheck 1.0

=== debian/changelog ===
mailcheck (1.0) unstable; urgency=low

  * Updated to debian-policy 3.0.1.1
  * Changed maintainer address

 -- Jefferson E. Noxon <jeff@debian.org>  Wed, 15 Sep 1999 14:36:31 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: mailcheck
 Section: mail
 Priority: extra
-Maintainer: Jeff Noxon <jeff@planetfall.com>
-Standards-Version: 2.4.0.0
+Maintainer: Jefferson E. Noxon <jeff@debian.org>
+Standards-Version: 3.0.1.1
 
 Package: mailcheck
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for aboot.  GNU copyright 1997 by Joey Hess.
# GNU copyright 1998 Jeff Noxon.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE) all

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	-$(MAKE) distclean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) prefix=`pwd`/debian/tmp install

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installinit
#	dh_installcron
	dh_installmanpages
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## mailcheck 1.91

=== debian/changelog ===
mailcheck (1.91) unstable; urgency=low

  * Applied patch to add POP3 & IMAP support (closes: Bug#96911)
  * Don't report negative mail messages on invalid maildirs (closes: Bug#97163)
  * Updated to debian-policy 3.5.4.0
  * "copyright" file pointed to wrong directory on Debian systems

 -- Jefferson E. Noxon <jeff@debian.org>  Fri, 11 May 2001 17:04:01 -0500

=== debian/control ===
Source: mailcheck
Section: mail
Priority: extra
Maintainer: Jefferson E. Noxon <jeff@debian.org>
Standards-Version: 3.5.4.0

Package: mailcheck
Architecture: any
Depends: ${shlibs:Depends}
Description: Check multiple mailboxes/maildirs for mail
 Mailcheck is a simple, configurable tool that allows multiple mailboxes
 to be checked for the existence of new mail messages.  It supports both
 mbox and maildir-style mailboxes, for compatibility with most mail
 transport agents.  It also supports remote POP3 and IMAP mailboxes.

## mailcheck 1.91.1

=== debian/changelog ===
mailcheck (1.91.1) unstable; urgency=low

  * NMU.
  * Add Build-Depends on debhelper.  Closes: #190484.

 -- Daniel Schepler <schepler@debian.org>  Sun,  3 Aug 2003 00:55:16 -0700

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: mail
 Priority: extra
 Maintainer: Jefferson E. Noxon <jeff@debian.org>
+Build-Depends: debhelper
 Standards-Version: 3.5.4.0
 
 Package: mailcheck

=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,6 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_suidregister
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## mailcheck 1.91.2

=== Makefile ===
all: mailcheck

debug: mailcheck.c netrc.c netrc.h socket.c
	$(CC) -Wall -O0 mailcheck.c netrc.c socket.c -g -o mailcheck

mailcheck: mailcheck.c netrc.c netrc.h socket.c
	$(CC) -Wall -O2 mailcheck.c netrc.c socket.c -s -o mailcheck

install: mailcheck
	install mailcheck $(prefix)/usr/bin
	install -m 644 mailcheckrc $(prefix)/etc

distclean: clean

clean:
	rm -f mailcheck *~

=== debian/changelog ===
mailcheck (1.91.2-4) unstable; urgency=medium

  * QA upload.
  * Mark autopkgtest as superficial. (Closes: #969842)
  * Update Standards-Version to 4.5.0
  * Update compat level to 13.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 11 Sep 2020 23:35:47 +0100

mailcheck (1.91.2-3) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #929539)
  * Migrated to DebSrc 3.0 (Closes: #670087).
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - added Homepage field (Closes: #615208).
      - bumped Standards-Version to 4.4.0.
      - changed priority from extra to optional.
  * debian/copyright:
      - updated rights.
      - updated to 1.0 Machine-readable format.
  * debian/dirs: removed unnecessary dir 'usr/share/doc/mailcheck'.
  * debian/manpages: new file. manpage is now installed by this way.
  * debian/patches/:
      - 00list:
          ~ file renamed to series.
      - 001_username.dpatch:
          ~ added DEP-3 headers.
          ~ file renamed to 001_username.patch.
      - 002_advanced_counting.dpatch:
          ~ added DEP-3 headers.
          ~ file renamed to 002_advanced_counting.patch.
      - 003_no_stripping.dpatch:
          ~ removed. Content has been added to new patch: 003_makefile.patch.
      - 003_makefile.patch:
          ~ new patch. Fix build flags in Makefile. (Closes: #928116)
  * debian/rules: updated to new DH format.
  * debian/tests/control: created to provide basic CI tests.
  * debian/watch: full updated.

 -- Marcos Talau <talau@users.sourceforge.net>  Sat, 20 Jul 2019 16:02:40 -0300

mailcheck (1.91.2-2) unstable; urgency=low

  * Added advanced_counting patch from Tomas Hoger <thoger@pobox.sk>.
  * Created new patch to removing stripping in Makefile. Closes: #437550.
  * Added Tomas Hoger <thoger@pobox.sk> to debian/copyright.
  * Changed distclean invocation in debian/rules and cleaned up some cruft.
  * New e-mail address for maintainer. Changed throughout debian/* files.

 -- Kevin Coyner <kcoyner@debian.org>  Tue, 14 Aug 2007 12:53:50 -0400

mailcheck (1.91.2-1) unstable; urgency=low

  * New maintainer. Closes: #404469.
  * debian/control:
    + Updated debhelper to version 5.0
    + Updated Standards-Version to 3.7.2
    + Added dpatch as a Build-Depends
    + Minor grammatical correction in long description
    + Added homepage link.
  * Reorganized debian/copyright.
  * debian/rules:
    + Added appropriate language for using dpatch
    + Cleaned up unneeded comments, obsolete dh_installmanpages
  * Added debian/compat file.
  * Removed debian/conffiles, since dh_installdeb adds any conffiles
    automatically
  * Applied patch that corrects problems with @'s in username.  Thanks to
    Martin Wickman, who provided this patch more than 2 years ago.
    Closes: #272749.
  * Acknowledge NMU from and thanks extended to Daniel Schepler.
    Closes: #190484.
  * Uploaded original source files to SourceForge (mailcheck) in order to
    convert this package from a Debian native to a normal package.
  * Added debian/watch file.

 -- Kevin Coyner <kevin@rustybear.com>  Sat, 3 Mar 2007 06:26:05 -0500

=== debian/control ===
Source: mailcheck
Section: mail
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Homepage: http://mailcheck.sourceforge.net

Package: mailcheck
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: check multiple mailboxes/maildirs for mail
 Mailcheck is a simple, configurable tool that allows multiple mailboxes
 to be checked for the existence of new mail messages.  It supports both
 mbox and maildir-style mailboxes for compatibility with most mail
 transport agents.  It also supports remote POP3 and IMAP mailboxes.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=debian/mailcheck

=== debian/tests/control ===
Test-Command: mailcheck -h 2>&1 | grep Usage
Restrictions: superficial
